﻿
/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

#alert {
    z-index: 9999;
    display: none;
    width: 40%;
    position: fixed;
    top: 50px;
    min-height: 25px;
    padding: 15px;
    margin-left: auto;
    margin-right: auto;
    left: 30%;
    font-size: 16px;
}

.alert-close {
    position: absolute;
    right: 15px;
    color: #fff;
    font-size: 16px;
}
#searchPanel {
    background-color: #fff;
    display: none;
    min-width: 450px;
    position: absolute;
    top: 50px;
    min-height: 25px;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    right: 10px;
    font-size: 16px;
}

#txtSearchStudent {
    width: 400px;
    max-width: none;
}
/* Add a gray background color and some padding to the footer */
/*footer {
      background-color: #f2f2f2;
      padding: 5px;
    }*/
.color-background-light {
    background-color: #F5F5F5 !important;
}

.scrollable-section {
    max-height: 700px;
    overflow: auto;
}

.carousel-inner img {
    /*-webkit-filter: grayscale(90%);
    filter: grayscale(90%); /* make all photos black and white */
    width: 100%; /* Set width to 100% */
    margin: auto;
}

.carousel-caption h3 {
    color: #fff !important;
}

.select2-results__option {
    border-bottom: 1px solid lightgrey;    
}

@media (max-width: 600px) {
    .carousel-caption {
        display: none; /* Hide the carousel text when the screen is less than 600 pixels wide */
    }
    
    #alert {
        z-index: 9999;
        display: none;
        width: 80%;
        position: fixed;
        top: 50px;
        min-height: 25px;
        padding: 15px;
        margin-left: auto;
        margin-right: auto;
        left: 10%;
        font-size: 16px;
    }
    #searchPanel {
        background-color: #fff;
        display: none;
        min-width: 90%;
        max-width: 90%;
        position: absolute;
        top: 100px;
        min-height: 25px;
        padding: 10px 5px;
        margin-left: auto;
        margin-right: auto;
        right: 10px;
        font-size: 16px;
    }
    #txtSearchStudent {
        width: 300px;
    }

}

.bg-grey {
    background-color: #f6f6f6;
}

.minithumbnail {
    display: block;
    width: 50px !important;
    height: auto !important;
}

.smallthumbnail {
    display: block;
    width: 200px !important;
    height: auto !important;
    max-height: 150px !important;
}

.mediumthumbnail {
    display: block;
    width: 250px !important;
    height: auto !important;
}

.largethumbnail {
    display: block;
    width: 350px !important;
    height: auto !important;
}

.mainphoto {
    display: block;
    border: 2pt;
    border-color: #008cba;
    border-style: solid;
}

.shadowbox {
    box-shadow: 0px 0px 10px 5px #c8cfe6;
    margin: 10px;
}

.btnBlock {
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    border: 0px solid transparent;
    white-space: nowrap;
    padding: 5px 5px;
}

.shadowbox-rounded {
    box-shadow: 10px 10px 10px 0px #c8cfe6;
    margin: 10px;
    border-radius: 5px;
}

.input-form {
    background: rgba(255, 255, 255, 0.8);
    padding: 20px 20px 10px 20px;
    -webkit-border-radius: 5px;
    -webkit-background-clip: padding-box;
    -moz-border-radius: 5px;
    -moz-background-clip: padding;
    border-radius: 5px;
    background-clip: padding-box;
    -webkit-box-shadow: inset 0 1px #fff,0 0 4px #c8cfe6;
    -moz-box-shadow: inset 0 1px #fff,0 0 4px #c8cfe6;
    box-shadow: inset 0 1px #fff,0 0 4px #c8cfe6;
    color: inset 0 1px #fff,0 0 4px #c8cfe6;
    margin-bottom: 15px;
}

    .input-form form {
        margin: 0;
    }

    .input-form input[type="checkbox"] {
        margin-top: 4px;
    }

/* Photo cropit related css classes for profile photo and logo image */

.cropit-preview {
    /* You can specify preview size in CSS */
    width: 200px;
    height: 200px;
}

    /* Show move cursor when image has been loaded */
    .cropit-preview.cropit-image-loaded .cropit-preview-image-container {
        cursor: move;
    }
/* Gray out zoom slider when the image cannot be zoomed */
.cropit-image-zoom-input[disabled] {
    opacity: .2;
}

.cropit-preview-background {
    opacity: .3;
}

input.cropit-image-zoom-input {
    position: relative;
}

.notification-wrapper {
    margin-bottom: 10px;
}

    .notification-wrapper p {
        margin: 0;
        position: relative;
        border: 1px solid #CCC;
        padding: 5px;
        margin-bottom: 10px;
        -webkit-border-radius: 3px;
        -webkit-background-clip: padding-box;
        -moz-border-radius: 3px;
        -moz-background-clip: padding;
        border-radius: 3px;
        background-clip: padding-box;
        background-color: #f5f5f5;
    }

.notification-author {
    font-size: 1em;
    font-weight: 400;
    height: 50px !important;
}

    .notification-author img {
        max-width: 40px;
        -webkit-border-radius: 20px;
        -webkit-background-clip: padding-box;
        -moz-border-radius: 20px;
        -moz-background-clip: padding;
        border-radius: 20px;
        background-clip: padding-box;
        margin-right: 10px;
    }

    .notification-author span {
        max-width: 40px;
        -webkit-border-radius: 20px;
        -webkit-background-clip: padding-box;
        -moz-border-radius: 20px;
        -moz-background-clip: padding;
        border-radius: 20px;
        background-clip: padding-box;
    }

.notification-author-initial {
    padding: 10px 15px;
    line-height: 40px !important;
    background-color: lightskyblue;
    margin-right: 10px;
}

.notification-title {
    font-size: 0.9em;
}

.notification-link {
    font-size: 1em;
}

.notification-date {
    font-size: 0.8em;
}

/* tooltip related classes*/

.tooltip-inner.danger {
    max-width: 200px;
    padding: 3px 8px;
    color: #fff;
    text-align: center;
    text-decoration: none;
    border-radius: 4px;
    background-color: #d9534f;
    border-color: #d43f3a;
}

.tooltip.top .tooltip-arrow.danger {
    bottom: 0;
    left: 50%;
    margin-left: -5px;
    border-width: 5px 5px 0;
    border-top-color: #d9534f;
}

.tooltip.top-left .tooltip-arrow.danger {
    bottom: 0;
    left: 5px;
    border-width: 5px 5px 0;
    border-top-color: #d9534f;
}

.tooltip.top-right .tooltip-arrow.danger {
    right: 5px;
    bottom: 0;
    border-width: 5px 5px 0;
    border-top-color: #d9534f;
}

.tooltip.right .tooltip-arrow.danger {
    top: 50%;
    left: 0;
    margin-top: -5px;
    border-width: 5px 5px 5px 0;
    border-right-color: #d9534f;
}

.tooltip.left .tooltip-arrow.danger {
    top: 50%;
    right: 0;
    margin-top: -5px;
    border-width: 5px 0 5px 5px;
    border-left-color: #d9534f;
}

.tooltip.bottom .tooltip-arrow.danger {
    top: 0;
    left: 50%;
    margin-left: -5px;
    border-width: 0 5px 5px;
    border-bottom-color: #d9534f;
}

.tooltip.bottom-left .tooltip-arrow.danger {
    top: 0;
    left: 5px;
    border-width: 0 5px 5px;
    border-bottom-color: #d9534f;
}

.tooltip.bottom-right .tooltip-arrow.danger {
    top: 0;
    right: 5px;
    border-width: 0 5px 5px;
    border-bottom-color: #d9534f;
}

/* text related classes*/
.icon-circle {
    display: inline-block;
    padding: 6px;
    margin: 0 5px 5px 0;
    width: 60px;
    height: 60px;
    margin-bottom: 0;
    line-height: 60px;
    vertical-align: middle;
    text-align: center;
    white-space: nowrap;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 30px;
}

.icon-box {
    display: inline-block;
    padding: 12px;
    margin: 5px;
    width: 165px;
    font-size: 14px;
    font-weight: normal;
    line-height: 1.42857143;
    text-align: left;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 0px;
}

.icon-red {
    color: #fff;
    background-color: #d9534f;
    border-color: #d9534f;
}

.icon-red-o {
    color: #d9534f;
    background-color: #fff;
    border-color: #d9534f;
}

.icon-green {
    color: #fff;
    background-color: #5cb85c;
    border-color: #5cb85c;
}

.icon-green-o {
    color: #5cb85c;
    background-color: #fff;
    border-color: #5cb85c;
}

.icon-blue {
    color: #fff;
    background-color: #428bca;
    border-color: #428bca;
}

.icon-blue-o {
    color: #428bca;
    background-color: #fff;
    border-color: #428bca;
}

.icon-yellow {
    color: #fff;
    background-color: #f0ad4e;
    border-color: #f0ad4e;
}

.icon-yellow-o {
    color: #f0ad4e;
    background-color: #fff;
    border-color: #f0ad4e;
}

.text-red {
    color: #d9534f;
}

.text-green {
    color: #5cb85c;
}

.text-yellow {
    color: #f0ad4e;
}

.text-blue {
    color: #428bca;
}

.text-grey {
    color: #333;
}

.modal-large {
    width: 1200px;
    margin: 30px auto;
}

.gradient-blue {
    background-image: -webkit-linear-gradient(top, #54bccf 5%, #1996ec 95%);
    background-image: -moz-linear-gradient(to bottom, #54bccf 5%, #1996ec 95%);
    background-image: -o-linear-gradient(to bottom, #54bccf 5%, #1996ec 95%);
    background-image: -ms-linear-gradient(to bottom, #54bccf 5%, #1996ec 95%);
    background-image: linear-gradient(to bottom, #54bccf 5%, #1996ec 95%);
    background-color: #54bccf;
}

.gradient-ananda {
    background-image: -webkit-linear-gradient(top, #23cbc5 5%, #1fb6de 95%);
    background-image: -moz-linear-gradient(to bottom, #23cbc5 5%, #1fb6de 95%);
    background-image: -o-linear-gradient(to bottom, #23cbc5 5%, #1fb6de 95%);
    background-image: -ms-linear-gradient(to bottom, #23cbc5 5%, #1fb6de 95%);
    background-image: linear-gradient(to bottom, #23cbc5 5%, #1fb6de 95%);
    background-color: #23cbc5;
}

.gradient-orange {
    background-image: -webkit-linear-gradient(top, #f7ce6b 5%, #f1a663 95%);
    background-image: -moz-linear-gradient(top, #f7ce6b 5%, #f1a663 95%);
    background-image: -o-linear-gradient(top, #f7ce6b 5%, #f1a663 95%);
    background-image: -ms-linear-gradient(top, #f7ce6b 5%, #f1a663 95%);
    background-image: linear-gradient(to bottom, #f7ce6b 5%, #f1a663 95%);
    background-color: #f1a663;
}

.gradient-green {
    background-image: -webkit-linear-gradient(top, #6bd78c 5%, #3cb7a8 95%);
    background-image: -moz-linear-gradient(to bottom, #6bd78c 5%, #3cb7a8 95%);
    background-image: -o-linear-gradient(to bottom, #6bd78c 5%, #3cb7a8 95%);
    background-image: -ms-linear-gradient(to bottom, #6bd78c 5%, #3cb7a8 95%);
    background-image: linear-gradient(to bottom, #6bd78c 5%, #3cb7a8 95%);
    background-color: #6bd78c;
}

.icon-round {
    position: relative;
    display: inline-block;
    width: 120px;
    height: 120px;
    padding: 20px;
    border-radius: 500px;
    background-color: white;
    margin-bottom: 5px;
    cursor: pointer;
    box-shadow: 0 3px 15px 0 rgba(0, 0, 0, 0.17);
    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    line-height: 110px;
    vertical-align: middle;
    text-align: center;
    white-space: nowrap;
    color: #fff;
}

.reportLink {
    display: inline-block;
    width: 120px;
    height: 180px;
    cursor: pointer;
    text-align: center;
    vertical-align: top;
    margin: 20px;
    color: #428bca;
}

    .menuToggle {
        position: absolute;
        display: block;
        overflow: visible;
        margin-left: -30px;
        padding: 15px 10px;
        border-radius: 0px;
    }

.huge {
    font-size: 40px;
    line-height: normal;
}

.panel-green {
    border-color: #5cb85c;
}

.panel-green > .panel-heading {
    border-color: #5cb85c;
    color: #fff;
    background-color: #5cb85c;
}

.panel-green > a {
    color: #5cb85c;
}

.panel-green > a:hover {
    color: #3d8b3d;
}

.panel-red {
    border-color: #d9534f;
}

.panel-red > .panel-heading {
    border-color: #d9534f;
    color: #fff;
    background-color: #d9534f;
}

.panel-red > a {
    color: #d9534f;
}

.panel-red > a:hover {
    color: #b52b27;
}

.panel-yellow {
    border-color: #f0ad4e;
}

.panel-yellow > .panel-heading {
    border-color: #f0ad4e;
    color: #fff;
    background-color: #f0ad4e;
}

.panel-yellow > a {
    color: #f0ad4e;
}

.panel-yellow > a:hover {
    color: #df8a13;
}

.panel-white {
    border-color: #999;
    box-shadow: 5px 5px 3px 0px #ddd;
    margin: 0 0 20px 0;
}

.panel-white > .panel-heading {
    border-color: #999;
    color: #666;
    background-color: #fff;
}

.panel-white > a {
    color: #666;
}

.panel-white > a:hover {
    color: #000;
}

.actionBar {        
    text-align: right;
    width: 100%;
    background-color: #f6f6f6 !important;
}
.actionControl{
    display: inline-block;
    overflow: visible;
    border-radius: 0px;
    margin: 5px 10px 5px 0px;
}

table {
    background-color: #fff !important;
    /*border: 2pt;
    border-color: #909090;*/
}
/*.table-striped > tbody > tr:nth-child(odd) > td,
.table-striped > tbody > tr:nth-child(odd) > th {
    background-color: #fff !important;
}*/

.border-less {
    border:none !important;
}
.action-button {
    min-width: 140px;
    color: #909090;
    border-color: #a0a0a0;
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0px;
    margin-top: 10px;
    /*margin-right: 6px;*/
    font-size: 14px;
    font-weight: normal;
    line-height: 1.428571429;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    border: 1px solid transparent;
    border-radius: 0px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
}

    .action-button:hover,
    .action-button:focus {
        color: #333333;
        background-color: #fff;
        text-decoration: none;
        border-color: #a0a0a0;
        border: 1px solid #ccc;
        /*box-shadow: 2px 2px 7px 2px #c0c0c0;*/
    }
    .action-button > span {
        color: #909090;
        border-color: #a0a0a0;
        display: inline-block;
        padding: 6px 12px;
        margin-right: 10px;
        font-size: 40px;
        font-weight: normal;
        line-height: 1;
        text-align: center;
        white-space: nowrap;
        vertical-align: middle;
        border: 2px solid;
        border-radius: 50px;
    }
    .action-button.active {
        color: #333333;
        background-color: #fff;
        text-decoration: none;
        border-color: #a0a0a0;
        border: 1px solid #ccc;
        border-bottom: none;
        margin-bottom: 0px;
    }

.grid-toolbar {
    padding: 5px 10px;
    margin-bottom: 1px;
    background-color: #fff;
}

.full-width {
    max-width: none !important;
    width: 100% !important;
}